Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.connector.extensions
Interface Suspendable

All Known Implementing Classes:
  SuspendableAdapter

    public interface Suspendable

Suspendable may be implemented by a ResourceAdapter JavaBean if it supports suspend, resume or side-by-side versioning

Since:
  November 14, 2003

Field Summary
`static int` | `ALL` Used to indicate that INBOUND, OUTBOUND & WORK are to be suspended/resumed
`static int` | `INBOUND` Used to indicate that inbound communication is to be suspended/resumed
`static int` | `OUTBOUND` Used to indicate that outbound communication is to be suspended/resumed
`static int` | `RESUME` May be used to indicate a resume() operation
`static int` | `SUSPEND` May be used to indicate a suspend() operation
`static int` | `WORK` Used to indicate that submission of Work is to be suspended/resumed

Method Summary
`void` | `init(ResourceAdapter ra, Properties props)` Used by WLS to inform a ResourceAdapter that it is a new version of an already deployed resource adapter.
`boolean` | `isInboundSuspended(MessageEndpointFactory endptFactory)` Used to determine whether the inbound activity is currently suspended for the given MessageEndpointFactory
`boolean` | `isSuspended(int type)` Used to determine whether the specified type of activity is currently suspended.
`void` | `resume(int type, Properties props)` Request to resume the activity specified.
`void` | `resumeInbound(MessageEndpointFactory endptFactory, Properties props)` Request to resume the inbound activity on the given MessageEndpointFactory
`void` | `startVersioning(ResourceAdapter ra, Properties props)` Used by WLS to indicate to the current version of this resource adapter that a new version of the resource adapter is being deployed.
`boolean` | `supportsInit()` Used to determine if this resource adapter supports the init() method used for resource adapter versioning (side-by-side deployment)
`boolean` | `supportsSuspend(int type)`
`boolean` | `supportsVersioning()` Used to determine if this resource adapter supports the startVersioning() method used for resource adapter versioning (side-by-side deployment)
`void` | `suspend(int type, Properties props)` Request to suspend the activity specified.
`void` | `suspendInbound(MessageEndpointFactory endptFactory, Properties props)` Request to suspend the inbound activity on the given MessageEndpointFactory

Field Detail

### INBOUND

    static final int INBOUND

  Used to indicate that inbound communication is to be suspended/resumed

  See Also:
    Constant Field Values

### OUTBOUND

    static final int OUTBOUND

  Used to indicate that outbound communication is to be suspended/resumed

  See Also:
    Constant Field Values

### WORK

    static final int WORK

  Used to indicate that submission of Work is to be suspended/resumed

  See Also:
    Constant Field Values

### ALL

    static final int ALL

  Used to indicate that INBOUND, OUTBOUND & WORK are to be suspended/resumed

  See Also:
    Constant Field Values

### SUSPEND

    static final int SUSPEND

  May be used to indicate a suspend() operation

  See Also:
    Constant Field Values

### RESUME

    static final int RESUME

  May be used to indicate a resume() operation

  See Also:
    Constant Field Values

Method Detail

### suspend

    void suspend(int type,
                 Properties props)
                 throws ResourceException

  Request to suspend the activity specified. The Properties may be null or specified according to RA-specific needs

  Parameters:
    `type` - An int from 1 to 7 specifying the type of suspension being requested (i.e. Suspendable.INBOUND, .OUTBOUND, .WORK or the sum of one or more of these, or the value Suspendable.ALL )
    `props` - Optional Properties (or null) to be used for ResourceAdapter specific purposes
  Throws:
    `ResourceException` - If the resource adapter can't complete the request

### suspendInbound

    void suspendInbound(MessageEndpointFactory endptFactory,
                        Properties props)
                        throws ResourceException

  Request to suspend the inbound activity on the given MessageEndpointFactory

  Parameters:
    `MessageEndpointFactory` - the factory for message endpoints that is being suspended
    `props` - Optional Properties (or null) to be used for ResourceAdapter specific purposes
  Throws:
    `ResourceException` - If the resource adapter can't complete the request

### resumeInbound

    void resumeInbound(MessageEndpointFactory endptFactory,
                       Properties props)
                       throws ResourceException

  Request to resume the inbound activity on the given MessageEndpointFactory

  Parameters:
    `MessageEndpointFactory` - the factory for message endpoints that is being resumed
    `props` - Optional Properties (or null) to be used for ResourceAdapter specific purposes
  Throws:
    `ResourceException` - If the resource adapter can't complete the request

### resume

    void resume(int type,
                Properties props)
                throws ResourceException

  Request to resume the activity specified. The Properties may be null or specified according to RA-specific needs

  Parameters:
    `type` - An int from 1 to 7 specifying the type of resume being requested (i.e. Suspendable.INBOUND, .OUTBOUND, .WORK or the sum of one or more of these, or the value Suspendable.ALL )
    `props` - Optional Properties (or null) to be used for ResourceAdapter specific purposes
  Throws:
    `ResourceException` - If the resource adapter can't complete the request

### supportsSuspend

    boolean supportsSuspend(int type)

  Parameters:
    `type` - An int from 1 to 7 specifying the type of suspend this inquiry is about (i.e. Suspendable.INBOUND, .OUTBOUND, .WORK or the sum of one or more of these, or the value Suspendable.ALL )
  Returns:
    true iff the specified type of suspend is supported

### isSuspended

    boolean isSuspended(int type)

  Used to determine whether the specified type of activity is currently suspended.

  Parameters:
    `type` - An int from 1 to 7 specifying the type of activity requested (i.e. Suspendable.INBOUND, .OUTBOUND, .WORK or the sum of one or more of these, or the value Suspendable.ALL )
  Returns:
    true iff the specified type of activity is suspened by this resource adapter

### isInboundSuspended

    boolean isInboundSuspended(MessageEndpointFactory endptFactory)
                               throws ResourceException

  Used to determine whether the inbound activity is currently suspended for the given MessageEndpointFactory

  Parameters:
    `MessageEndpointFactory` - the endpoint factory
  Returns:
    true iff the inbound activity is suspened by this resource adapter
  Throws:
    `ResourceException`

### supportsInit

    boolean supportsInit()

  Used to determine if this resource adapter supports the init() method used for resource adapter versioning (side-by-side deployment)

  Returns:
    true iff this resource adapter supports the init() method

### supportsVersioning

    boolean supportsVersioning()

  Used to determine if this resource adapter supports the startVersioning() method used for resource adapter versioning (side-by-side deployment)

  Returns:
    true iff this resource adapter supports the startVersioning() method

### startVersioning

    void startVersioning(ResourceAdapter ra,
                         Properties props)
                         throws ResourceException

  Used by WLS to indicate to the current version of this resource adapter that a new version of the resource adapter is being deployed. This method can be used by the old RA to communicate with the new RA and migrate services from the old to the new. After being called, the ResourceAdapter is responsible for notifying the Connector container via the ExtendedBootstrapContext.complete() method, that it is safe to be undeployed.

  Parameters:
    `ra` - The new ResourceAdapter JavaBean
    `props` - Properties associated with the versioning when it can be undeployed
  Throws:
    `ResourceException` - If something goes wrong

### init

    void init(ResourceAdapter ra,
              Properties props)
              throws ResourceException

  Used by WLS to inform a ResourceAdapter that it is a new version of an already deployed resource adapter. This method is called prior to start() so that the new resource adapter may coordinate its startup with the resource adapter it is replacing.

  Parameters:
    `ra` - The old version of the resource adapter that is currently running
    `props` - Properties associated with the versioning operation
  Throws:
    `ResourceException` - If the init() fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD